Subject: Re: [bug#43257] [PATCH] services: nfs: Require file-systems to be mounted before starting NFS shepherd service.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 11 Sep 2020 09:02:09 +0200

Howdy,

Danny Milosavljevic <[email-masked]> skribis:

> On Thu, 10 Sep 2020 09:42:58 +0200
> Ludovic Courtès <[email-masked]> wrote:
>
>> I just realized that these services should just all depend on
>> ‘user-processes’ (which depends on ‘file-systems’).  So you should
>> probably just do that.
>
> Okay.  Thanks.
>
>> You can double-check with ‘guix system shepherd-graph’ that the
>> dependency graph looks good.
>
> $ ./pre-inst-env guix system shepherd-graph -e '(@@ (gnu tests nfs) %nfs-os)'
> gnu/tests/nfs.scm:162:4: error: missing root file system
>
> I can probably work around it somehow--but just logging this not-nice user
> interface here.

Any suggestions?  :-)

The only think I could think of is transparently adding a dummy root
file system for the purposes of ‘shepherd-graph’, but it’s not
necessarily a good idea either.

Thanks,
Ludo’.